Gecode::Kernel::GPI Class Reference

Global propagator information. More...

`#include <gpi.hpp>`

## Classes

class | Info
| Class for storing propagator information. More...

## Public Member Functions

| GPI (void)
| Initialize.
void | decay (double d)
| Set decay factor to d.
double | decay (void) const
| Return decay factor.
void | fail (Info &c)
| Increment failure count.
Info * | allocate (unsigned int p, unsigned int gid)
| Allocate info for existing propagator with pid p.
Info * | allocate (unsigned int gid)
| Allocate new actor info.
unsigned int | pid (void) const
| Return next free propagator id.
bool | unshare (void)
| Provide access to unshare info and set to true.
| ~GPI (void)
| Delete.

## Detailed Description

Global propagator information.

Definition at line 39 of file gpi.hpp.

## Constructor & Destructor Documentation

## GPI()

Gecode::Kernel::GPI::GPI | ( | void |  | ) |

inline

Initialize.

Definition at line 122 of file gpi.hpp.

## ~GPI()

Gecode::Kernel::GPI::~GPI | ( | void |  | ) |

inline

Delete.

Definition at line 198 of file gpi.hpp.

## Member Function Documentation

## decay() [1/2]

void Gecode::Kernel::GPI::decay | ( | double | d | ) |

inline

Set decay factor to d.

Definition at line 163 of file gpi.hpp.

## decay() [2/2]

double Gecode::Kernel::GPI::decay | ( | void |  | ) | const

inline

Return decay factor.

Definition at line 136 of file gpi.hpp.

## fail()

void Gecode::Kernel::GPI::fail | ( | Info & | c | ) |

inline

Increment failure count.

Definition at line 126 of file gpi.hpp.

## allocate() [1/2]

GPI::Info * Gecode::Kernel::GPI::allocate | ( | unsigned int | p,
|  | unsigned int | gid )

inline

Allocate info for existing propagator with pid p.

Definition at line 170 of file gpi.hpp.

## allocate() [2/2]

GPI::Info * Gecode::Kernel::GPI::allocate | ( | unsigned int | gid | ) |

inline

Allocate new actor info.

Definition at line 184 of file gpi.hpp.

## pid()

unsigned int Gecode::Kernel::GPI::pid | ( | void |  | ) | const

inline

Return next free propagator id.

Definition at line 145 of file gpi.hpp.

## unshare()

bool Gecode::Kernel::GPI::unshare | ( | void |  | ) |

inline

Provide access to unshare info and set to true.

Definition at line 154 of file gpi.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/gpi.hpp
- gecode/kernel/gpi.cpp